Package io.dapr.v1

# Interface CommonProtos.StateRetryPolicyOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `CommonProtos.StateRetryPolicy`, `CommonProtos.StateRetryPolicy.Builder`

Enclosing class:
  CommonProtos

    public static interface CommonProtos.StateRetryPolicyOrBuilder
    extends com.google.protobuf.MessageOrBuilder

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `com.google.protobuf.Duration` | `getInterval()` | Initial delay between retries.
  `com.google.protobuf.DurationOrBuilder` | `getIntervalOrBuilder()` | Initial delay between retries.
  `CommonProtos.StateRetryPolicy.RetryPattern` | `getPattern()` | Retry pattern.
  `int` | `getPatternValue()` | Retry pattern.
  `int` | `getThreshold()` | Maximum number of retries.
  `boolean` | `hasInterval()` | Initial delay between retries.

  ### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

  `isInitialized`

  ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

  `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

- ## Method Details

  - ### getThreshold

    int getThreshold()

         Maximum number of retries.

    `int32 threshold = 1;`
    Returns:
      The threshold.

  - ### getPatternValue

    int getPatternValue()

         Retry pattern.

    `.dapr.proto.common.v1.StateRetryPolicy.RetryPattern pattern = 2;`
    Returns:
      The enum numeric value on the wire for pattern.

  - ### getPattern

    CommonProtos.StateRetryPolicy.RetryPattern getPattern()

         Retry pattern.

    `.dapr.proto.common.v1.StateRetryPolicy.RetryPattern pattern = 2;`
    Returns:
      The pattern.

  - ### hasInterval

    boolean hasInterval()

         Initial delay between retries.

    `.google.protobuf.Duration interval = 3;`
    Returns:
      Whether the interval field is set.

  - ### getInterval

    com.google.protobuf.Duration getInterval()

         Initial delay between retries.

    `.google.protobuf.Duration interval = 3;`
    Returns:
      The interval.

  - ### getIntervalOrBuilder

    com.google.protobuf.DurationOrBuilder getIntervalOrBuilder()

         Initial delay between retries.

    `.google.protobuf.Duration interval = 3;`